#!/usr/bin/python
"""
This is the main program for KCG
It imports all modules and starts the Gui
"""
from PyQt4 import QtGui, QtCore
import sys
import os

import base.kcgwidget as kcgw
import config

translator = QtCore.QTranslator()
kcgw.translator = translator
# kcgw.tr = translator.translate
kcgw.tr = QtCore.QCoreApplication.translate

config.install_path = os.path.dirname(config.__file__) + "/"

config.setup()
while config.error:
    config.doSetup()

import base.kcg as kcg

try: # Try to use Erax for exception logging
    from erax import Erax

    exception_log_handler = Erax('http://psraspi.no-ip.biz:5000/insert/78e55a9524a191f7628f82a20bcaa167:kcg')
    exception_log_handler.install()
except ImportError:
    pass

if 'testing' in sys.argv:
    kcgw.testing = True
    import config
    config.default_subdirectory_name='t'
else:
    kcgw.testing = False

def run():
    """
    Main Function, gets called when GUI is started
    :return:
    """
    app = QtGui.QApplication(sys.argv)
    app.installTranslator(translator)
    gui = kcg.Gui()
    gui.show()
    sys.exit(app.exec_())
